package com.xxfc.platform.order.mapper;

import com.xxfc.platform.order.entity.DailyVehicleOrderStatistics;
import tk.mybatis.mapper.common.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 每日统计数据
 * @author Administrator
 */
public interface DailyVehicleOrderStatisticsMapper extends Mapper<DailyVehicleOrderStatistics> {

    Map<String, BigDecimal> getGmvAndMarginTotal();

    List<String> getCompensationAndPostpone();

    BigDecimal getPenalSum();

    BigDecimal getRefundSecurityDeposit();

    BigDecimal getViolationMoney();
}
